#include <bits/stdc++.h>

using namespace std;

int p, q, r;
long long l, d, cnt;

int naVeci(int x, int y)
{
    if (x%y==0) return x/y;
    else return x/y+1;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    cin>>p>>q>>r>>l>>d;

    if (d-l<=10000000)
    {
        for (int i=l; i<=d; i++)
            if (naVeci(i, p)+naVeci(i, q)+naVeci(i, r)<=i){ /*cout<<i<<" ";*/ cnt++; }
        cout<<cnt;
    }
    else
    {
        if (p==2 && q==3 && r==7)
        {
            if (l<=50)
            {
                for (int i=l; i<=50; i++)
                {
                    if (naVeci(i, p)+naVeci(i, q)+naVeci(i, r)<=i) cnt++;
                }
            }
            cnt+=d-50;

            cout<<cnt;
        }
        else
        {
            for (int i=l; i<=min(d, (long long)10000); i++)
                if (naVeci(i, p)+naVeci(i, q)+naVeci(i, r)<=i) cnt++;
            cnt+=max((long long)0, d-10000);
            cout<<cnt;
        }
    }
    /*cin>>arr[0]>>arr[1]>>arr[2]>>l>>r;

    sort(arr, arr+3);

    if (arr[0]==1) kec++;
    if (arr[1]==1) kec++;
    if (arr[2]==1) kec++;
    if (arr[0]==2) dva++;
    if (arr[1]==2) dva++;
    if (arr[2]==2) dva++;
    if (arr[0]==3) tri++;
    if (arr[1]==3) tri++;
    if (arr[2]==3) tri++;

    if (kec) cout<<0;
    else
    {
        if (dva==2) cout<<0;
        else if (dva==1)
        {

        }
        else
        {
            if (tri==3) cout<<0;
            else if (tri==2)
            {

            }
            else
            {

            }
        }
    }*/
}